FreeMat

- Main Page
- Related Pages

vtk3DSImporter

Section: Visualization Toolkit Hybrid Classes

# Usage

vtk3DSImporter imports 3D Studio files into vtk.

To create an instance of class vtk3DSImporter, simply invoke its constructor as follows

      obj = vtk3DSImporter

# Methods

The class vtk3DSImporter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtk3DSImporter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtk3DSImporter = obj.NewInstance ()`
- `vtk3DSImporter = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )` - Specify the name of the file to read.
- `string = obj.GetFileName ()` - Specify the name of the file to read.
- `obj.SetComputeNormals (int )` - Set/Get the computation of normals. If on, imported geometry will be run through vtkPolyDataNormals.
- `int = obj.GetComputeNormals ()` - Set/Get the computation of normals. If on, imported geometry will be run through vtkPolyDataNormals.
- `obj.ComputeNormalsOn ()` - Set/Get the computation of normals. If on, imported geometry will be run through vtkPolyDataNormals.
- `obj.ComputeNormalsOff ()` - Set/Get the computation of normals. If on, imported geometry will be run through vtkPolyDataNormals.